Bug 808658 - [Test Plan]Filter cases only via one tag in test plan
[Test Plan]Filter cases only via one tag in test plan
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.6
Unspecified Unspecified
high Severity high
: ---
: 3.7.0
Assigned To: Guoping Feng
tools-bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 00:34 EDT by Jin Zhao
Modified: 2016-05-26 09:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.7.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
more than one tag (50.48 KB, image/png)
2012-04-24 06:05 EDT, Guoping Feng
no flags Details

  None (edit)
Description Jin Zhao 2012-03-31 00:34:10 EDT
Description of problem:
In any test plan , click tag name to filter test case . Actually now , only one tag can be show in tag filed.

Version-Release number of selected component (if applicable):
3.6.3

How reproducible:
100%

Steps to Reproduce:
1.Enter to one test plan , such as https://tcms-stage.englab.bne.redhat.com/plan/5728/#testcases
2.Click '[Basic Informatioin]' and '[Bookmarks]' ,try to filter cases via tag '[Basic Informatioin]' and '[Bookmarks]' 
3.
  
Actual results:
Only left the latest one , '[Bookmarks]' instead of '[Basic Informatioin]'

Expected results:
Filter cases via more than one tag by click more tags name 

Additional info:
Comment 1 Chaobin Tang 2012-04-10 03:36:52 EDT
Now, clicking tag names will append the clicked tag name into the tag name field.
Comment 2 Guoping Feng 2012-04-24 06:05:40 EDT
Created attachment 579808 [details]
more than one tag

Verify 3.7.0-1 on tcms-stage -->PASS

Verify steps:
1.Enter into any plan like: https://tcms-stage.englab.bne.redhat.com/plan/4233/
2.Click "Show filter option".
3.Click several tags you'd like to check.
4.Click "Filter Cases".
5.Check the filtered out cases with their tags.


Actual result:
1.In step3, more than one tag can be added in this filter field through clicking the tags.
2.In step5, all the cases marked with any of the tags in step3 can be filtered out.

Note You need to log in before you can comment on or make changes to this bug.